package com.lilosoft.api.service.complexWindow;


import com.lilosoft.api.bean.receive.FileDataItem;
import com.lilosoft.complex.matter.model.req.ApplicantLeagal;
import com.lilosoft.complex.matter.model.req.LegalProxy;
import lombok.Data;

import java.lang.reflect.ParameterizedType;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 通用参数
 *
 * @author:
 * @date: 2023/7/31 15:27
 */
@Data
public class CommonData {

    private String deviceLogo;

    private String robertServerUrl;//机器人地址
    private String complexServerUrl;//综合窗口地址


    private List<FileDataItem> fileData;


    private Date attendanceDate;

    private Long staffId;
    //当前日期
    private String dateStr;

    /**
     * 申请人信息
     */
    private String applicantPhone;//号码
    private String applicantName;//名称
    private String applicantSex;//性别
    private String applicantDocumentId;//证件类型 默认111
    private String applicantIdNumber;//申请号码

    /**
     * 法人信息
     */
    private String legalName;
    //法人号码
    private String legalIdNumber;
    //证件类型
    private String legalDocumentId;
    private String legalSex;

    private Map<String,String> userMap;

}
